com.beaglebuddy.mpeg.pojo

## Class Version

- java.lang.Object
- - com.beaglebuddy.mpeg.pojo.Version

-     public class Version
      extends java.lang.Object

  LAME header version information.
  See Also:
    `LAMEHeader`, LAME version string, LAME Header Format

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(int major, int minor, char flag)` constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getFlag()` gets the release type for the version.
    `int` | `getMajor()` get the major LAME version.
    `int` | `getMinor()` get the minor LAME version.
    `java.lang.String` | `toString()` gets a a string representation of the LAME header version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Version

          public Version(int major,
                 int minor,
                 char flag)

      constructor.
      Parameters:
        `major` - the major version.
        `minor` - the minor version.
        `flag` - indicates the release type of the version.

  - ### Method Detail

    - #### getMajor

          public int getMajor()

      get the major LAME version.
      Returns:
        the major LAME version.

    - #### getMinor

          public int getMinor()

      get the minor LAME version.
      Returns:
        the minor LAME version.

    - #### getFlag

          public char getFlag()

      gets the release type for the version.
      Returns:
        the LAME version flag, where:

        a | alpha
        b | beta
        r | release with patch version > 0
        | release with no patch version

    - #### toString

          public java.lang.String toString()

      gets a a string representation of the LAME header version.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the Lame header version.